{% extends 'base.html' %}

{% block title %}Welcom{% endblock title %}

{% block content %}

<style>

    .center {
        position: absolute;
        top: 50%;
        left: 50%;
        transform: translate(-50%, -50%);
    }
</style>
<main class="w-100 h-100">
    <div class="center d-flex flex-column justify-content-center align-content-center">
        <h1 class="text-white text-center">Welcom to CodeShare</h1>
        <h4 class="text-white text-center">Where you can share your code with others</h4>
        <h4 class="text-white text-center">Start by </h4>
        <a class="text-white m-3 p-3 bg-dark rounded text-center text-decoration-none fs-4" href="{% url 'new_code' %}">Creating a new room</a>
        <h5 class="text-white text-center">OR</h5>
        <button type="button"  data-bs-toggle="modal" data-bs-target="#exampleModal" class="text-white m-3 p-3 bg-dark rounded text-center text-decoration-none fs-4">Join a room</button>

    </div>


    <div class="modal fade" id="exampleModal" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
        <div class="modal-dialog modal-dialog-centered">
            <div class="modal-content bg-dark text-white">
                <div class="modal-header">
                    <h1 class="modal-title w-100 text-center fs-5" id="exampleModalLabel">Join a room</h1>
                    <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                </div>
                <div class="modal-body">
                    <form method="POST" action=".">
                        {% csrf_token %}
                        <div class="input-group mb-3">
                            <span class="input-group-text" id="basic-addon1">SLUG : </span>
                            <input type="text" name="room-slug" class="form-control" placeholder="Slug exemple : ABCDE123">
                          </div>
                          <div class="modal-footer d-flex w-100 justify-content-center align-content-center">
                            <button type="button" class="btn btn-secondary" data-bs-dismiss="modal">Cancel</button>
                            <button type="submit" class="btn btn-primary">Join</button>
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </div>
</main>

{% endblock content %}